%define name bootsplash-themes
%define version 2.1.0
%define release 1mdk
%define scriptdir %{_datadir}/bootsplash/scripts/

Summary:	Bootsplash themes
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url:		http://www.mandrivalinux.com/cgi-bin/cvsweb.cgi/soft/bootsplash/
Requires:	bootsplash
Requires:	mandriva-theme

BuildArch: noarch

%description
Additional themes for bootsplash:
- Linux
- Radiant Star
- Enterprise
- Enterprise-spot
- Ayo
- Ayo-73labAllstar
- Ayo-ElvinTooka
- Ayo-FrozenBubble
- Ayo-Misspingus3
- Ayo-Misspingus4

"-tux" themes use Tux logo instead of theme picture in console

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post
# update current theme
if [ -x %scriptdir/switch-themes ]; then 
    %scriptdir/switch-themes -u
fi
 
%postun
# switch back to Mandriva theme on full removal
if [ "$1" = "0" ]; then
  if [ -x %scriptdir/switch-themes ]; then 
    %scriptdir/switch-themes Mandriva
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README

%dir %_datadir/bootsplash/themes/Linux
%_datadir/bootsplash/themes/Linux/*
%dir %_sysconfdir/bootsplash/themes/Linux
%config(noreplace) %_sysconfdir/bootsplash/themes/Linux/*

%dir %_datadir/bootsplash/themes/RadiantStar
%_datadir/bootsplash/themes/RadiantStar/*
%dir %_sysconfdir/bootsplash/themes/RadiantStar
%config(noreplace) %_sysconfdir/bootsplash/themes/RadiantStar/*

%dir %_datadir/bootsplash/themes/Enterprise
%_datadir/bootsplash/themes/Enterprise/*
%dir %_sysconfdir/bootsplash/themes/Enterprise
%config(noreplace) %_sysconfdir/bootsplash/themes/Enterprise/*

%dir %_datadir/bootsplash/themes/Enterprise-spot
%_datadir/bootsplash/themes/Enterprise-spot/*
%dir %_sysconfdir/bootsplash/themes/Enterprise-spot
%config(noreplace) %_sysconfdir/bootsplash/themes/Enterprise-spot/*

%dir %_datadir/bootsplash/themes/Ayo
%_datadir/bootsplash/themes/Ayo/*
%dir %_sysconfdir/bootsplash/themes/Ayo
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo/*

%dir %_datadir/bootsplash/themes/Ayo-73labAllstar
%_datadir/bootsplash/themes/Ayo-73labAllstar/*
%dir %_sysconfdir/bootsplash/themes/Ayo-73labAllstar
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-73labAllstar/*

%dir %_datadir/bootsplash/themes/Ayo-ElvinTooka
%_datadir/bootsplash/themes/Ayo-ElvinTooka/*
%dir %_sysconfdir/bootsplash/themes/Ayo-ElvinTooka
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-ElvinTooka/*

%dir %_datadir/bootsplash/themes/Ayo-FrozenBubble
%_datadir/bootsplash/themes/Ayo-FrozenBubble/*
%dir %_sysconfdir/bootsplash/themes/Ayo-FrozenBubble
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-FrozenBubble/*

%dir %_datadir/bootsplash/themes/Ayo-Misspingus3
%_datadir/bootsplash/themes/Ayo-Misspingus3/*
%dir %_sysconfdir/bootsplash/themes/Ayo-Misspingus3
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-Misspingus3/*

%dir %_datadir/bootsplash/themes/Ayo-Misspingus4
%_datadir/bootsplash/themes/Ayo-Misspingus4/*
%dir %_sysconfdir/bootsplash/themes/Ayo-Misspingus4
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-Misspingus4/*

# -tux themes

%dir %_datadir/bootsplash/themes/Mandriva-tux
%_datadir/bootsplash/themes/Mandriva-tux/*
%dir %_sysconfdir/bootsplash/themes/Mandriva-tux
%config(noreplace) %_sysconfdir/bootsplash/themes/Mandriva-tux/*

%dir %_datadir/bootsplash/themes/Enterprise-tux
%_datadir/bootsplash/themes/Enterprise-tux/*
%dir %_sysconfdir/bootsplash/themes/Enterprise-tux
%config(noreplace) %_sysconfdir/bootsplash/themes/Enterprise-tux/*

%dir %_datadir/bootsplash/themes/Enterprise-spot-tux
%_datadir/bootsplash/themes/Enterprise-spot-tux/*
%dir %_sysconfdir/bootsplash/themes/Enterprise-spot-tux
%config(noreplace) %_sysconfdir/bootsplash/themes/Enterprise-spot-tux/*

%dir %_datadir/bootsplash/themes/Ayo-tux
%_datadir/bootsplash/themes/Ayo-tux/*
%dir %_sysconfdir/bootsplash/themes/Ayo-tux
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-tux/*

%dir %_datadir/bootsplash/themes/Ayo-73labAllstar-tux
%_datadir/bootsplash/themes/Ayo-73labAllstar-tux/*
%dir %_sysconfdir/bootsplash/themes/Ayo-73labAllstar-tux
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-73labAllstar-tux/*

%dir %_datadir/bootsplash/themes/Ayo-ElvinTooka-tux
%_datadir/bootsplash/themes/Ayo-ElvinTooka-tux/*
%dir %_sysconfdir/bootsplash/themes/Ayo-ElvinTooka-tux
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-ElvinTooka-tux/*

%dir %_datadir/bootsplash/themes/Ayo-FrozenBubble-tux
%_datadir/bootsplash/themes/Ayo-FrozenBubble-tux/*
%dir %_sysconfdir/bootsplash/themes/Ayo-FrozenBubble-tux
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-FrozenBubble-tux/*

%dir %_datadir/bootsplash/themes/Ayo-Misspingus3-tux
%_datadir/bootsplash/themes/Ayo-Misspingus3-tux/*
%dir %_sysconfdir/bootsplash/themes/Ayo-Misspingus3-tux
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-Misspingus3-tux/*

%dir %_datadir/bootsplash/themes/Ayo-Misspingus4-tux
%_datadir/bootsplash/themes/Ayo-Misspingus4-tux/*
%dir %_sysconfdir/bootsplash/themes/Ayo-Misspingus4-tux
%config(noreplace) %_sysconfdir/bootsplash/themes/Ayo-Misspingus4-tux/*

%changelog
* Fri Aug 12 2005 Olivier Blin <oblin@mandriva.com> 2.1.0-1mdk
- switch to Mandriva
- misc Makefile cleanups
- remove Prefix tag

* Thu Feb 10 2005 Olivier Blin <oblin@mandrakesoft.com> 2.0.0-11mdk
- Mandrake theme is now called Mandrakelinux

* Tue Feb 24 2004 Olivier Blin <blino@mandrake.org> 2.0.0-10mdk
- revert DIRM fixes (bootsplash owns this directories now)

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.0-9mdk
- DIRM %%_sysconfdir/bootsplash/themes

* Mon Feb 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.0-8mdk
- DIRM %%_datadir/bootsplash/themes

* Wed Jan 21 2004 Olivier Blin <blino@mandrake.org> 2.0.0-7mdk
- fix bug #6957, remove theme only on full removal

* Thu Sep 11 2003 Olivier Blin <oliv.blin@laposte.net> 2.0.0-6mdk
- fix progress bar in RadiantStar 1024x7686
- remove RadiantStar-tux
- display tux console logo in RadiantStar

* Wed Sep 10 2003 Olivier Blin <oliv.blin@laposte.net> 2.0.0-5mdk
- really display console logo in -tux themes
- display theme picture as console logo in RadiantStar

* Mon Sep 08 2003 Olivier Blin <oliv.blin@laposte.net> 2.0.0-4mdk
- add -tux themes that use Tux logo instead of theme picture in console
- fix Linux theme
- update current theme in post section
- switch back to Mandrake theme in postun section

* Thu Aug 28 2003 Olivier Blin <oliv.blin@laposte.net> 2.0.0-3mdk
- renamed Brant Theme to Enterprise
- added Enterprise-spot Theme from Brant Fitzsimmons
- added cute themes (Ayo-73labAllstar, Ayo-ElvinTooka,
  Ayo-FrozenBubble, Ayo-Misspingus3, Ayo-Misspingus4)
  from Ayo (http://www.73lab.com/) converted to bootsplash v3

* Thu Aug 21 2003 Olivier Blin <oliv.blin@laposte.net> 2.0.0-2mdk
- renamed Timothy Theme to RadiantStar
- added Ayo Theme inspired from Mandrake 9.1 bootsplash-themes package
  (http://www.73lab.com/)
- added Brant Theme from Brant Fitzsimmons <brant@bfcomputerconsulting.com>
- do not use images from Mandrake package, copy them to Linux Theme
- fix bootsplash in Linux Theme

* Wed Aug 20 2003 Olivier Blin <oliv.blin@laposte.net> 2.0.0-1mdk
- spec file inspired from bootsplash package
- improved Makefile from bootplash package
- added Linux Theme from bootsplash.org
- added Timothy Theme from Timothy R. Butler <tbutler@uninetsolutions.com>
